package com.kingdee.eas.custom.dormitorysystem.waterpower;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractWaterPowerPricingInfo extends com.kingdee.shr.base.syssetting.SHRBaseItemInfo implements Serializable 
{
    public AbstractWaterPowerPricingInfo()
    {
        this("id");
    }
    protected AbstractWaterPowerPricingInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:水电定价标准's 开始时间property 
     */
    public java.util.Date getStartDate()
    {
        return getDate("startDate");
    }
    public void setStartDate(java.util.Date item)
    {
        setDate("startDate", item);
    }
    /**
     * Object:水电定价标准's 终止时间property 
     */
    public java.util.Date getEndDate()
    {
        return getDate("endDate");
    }
    public void setEndDate(java.util.Date item)
    {
        setDate("endDate", item);
    }
    /**
     * Object:水电定价标准's 水费单价property 
     */
    public java.math.BigDecimal getWaterprice()
    {
        return getBigDecimal("waterprice");
    }
    public void setWaterprice(java.math.BigDecimal item)
    {
        setBigDecimal("waterprice", item);
    }
    /**
     * Object:水电定价标准's 电费单价property 
     */
    public java.math.BigDecimal getElectricityprice()
    {
        return getBigDecimal("electricityprice");
    }
    public void setElectricityprice(java.math.BigDecimal item)
    {
        setBigDecimal("electricityprice", item);
    }
    /**
     * Object:水电定价标准's 备注property 
     */
    public String getRemark()
    {
        return getString("remark");
    }
    public void setRemark(String item)
    {
        setString("remark", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("5DB319FD");
    }
}